feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.NameExtractor

# Documentation

data OriginalFunctionSignature

Constructors

OriginalFunctionSignature |

Fields

originalFunctionName :: String
originalParameterNames :: [Maybe String]

Instances

Eq OriginalFunctionSignature |
Show OriginalFunctionSignature |

nameExtractorError :: ErrorClass -> String -> a

neutralName :: String

ignore :: OriginalFunctionSignature

warning :: String -> a -> a

stripModule :: Module -> [Decl]

stripFunBind :: Decl -> OriginalFunctionSignature

stripPattern :: Pat -> Maybe String

stripName :: Name -> String

stripModule2 :: Module -> ModuleName

stripModuleName :: ModuleName -> String

getModuleName :: FilePath -> String -> String

usedExtensions :: [Extension]

getParseOutput :: FilePath -> IO (ParseResult Module)

customizedParse :: FilePath -> FilePath -> ParseResult Module

getFullDeclarationListWithParameterList :: FilePath -> String -> [OriginalFunctionSignature]

functionNameNeeded :: String -> Bool

stripUnnecessary :: [String] -> [String]

printDeclarationList :: FilePath -> IO (String -> [String])

printDeclarationListWithParameterList :: FilePath -> IO ()

printParameterListOfFunction :: FilePath -> String -> IO [Maybe String]

getDeclarationList :: FilePath -> String -> [String]

getExtendedDeclarationList :: FilePath -> String -> [OriginalFunctionSignature]

getParameterListOld :: FilePath -> String -> String -> [Maybe String]

getParameterList :: FilePath -> String -> IO [Maybe String]